#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		optflags	%{optflags} -fcommon
#-----------------------------------------------------------------------------
Name		:	libunwind
Version		:	1.6.2
Release		:	17.0.10.rel%{?dist}
Summary		:	An unwinding librar

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://github.com/libunwind/libunwind

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	automake
BuildRequires	:	libtool
BuildRequires	:	autoconf

#-----------------------------------------------------------------------------
%description
Libunwind provides a C ABI to determine the call-chain
of a program.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license COPYING
%doc README NEWS
%{_libdir}/libunwind*.so.*

#=============================================================================
%package		devel
Summary		:	Development package for libunwind

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package includes the libraries
and header files for %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}.h
%{_includedir}/unwind.h
%{_includedir}/%{name}-*.h
%{_libdir}/%{name}.so
%{_libdir}/%{name}-*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}-*.pc

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
	--bindir=%{_bindir}				\
	--sbindir=%{_sbindir}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-shared					\
	--disable-static

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR="%{buildroot}"				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#=============================================================================
%changelog
